<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Pending</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-item-sliding *ngFor="let order of orders">
    <ion-item-options side="start">
      <ion-item-option color="light" (click)="removePendingOrder(order.id)"><ion-icon name="ios-trash" size="large" color="danger"></ion-icon></ion-item-option>        
    </ion-item-options>    
    <ion-item button="true" detail="true" (click)="openOrder(order)">
        <ion-label>
          <h1>{{order.name}}</h1>
          <p>Items: {{order.quantity}}</p>          
        </ion-label>        
        <p slot="end">{{order.total | currency: ' '}}</p>
      </ion-item>
  </ion-item-sliding>
  
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" *ngIf="!viewMode">
    <ion-fab-button (click)="newOrder()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>